#' Occurrence records for the species Peltophryne empusa
#'
#' @description A dataset containing geographic coordinates of a Caribbean toad.
#'
#' @format A data frame with 182 rows and 3 columns.
#' \describe{
#'   \item{name}{character, species scientific name.}
#'   \item{longitude}{numeric, longitude values.}
#'   \item{latitude}{numeric, latitude values.}
#' }
#' @source \url{https://www.gbif.org/}
#'
#' @examples
#' data("occ_p", package = "rangemap")
#' head(occ_p)
"occ_p"


#' Occurrence records for the species Dasypus kappleri
#'
#' @description A dataset containing geographic coordinates of a South American
#' armadillo.
#'
#' @format A data frame with 306 rows and 3 columns.
#' \describe{
#'   \item{name}{character, species scientific name.}
#'   \item{longitude}{numeric, longitude values.}
#'   \item{latitude}{numeric, latitude values.}
#' }
#' @source \url{https://www.gbif.org/}
#'
#' @examples
#' data("occ_d", package = "rangemap")
#' head(occ_d)
"occ_d"


#' Occurrence records for the species Peltophryne fustiger
#'
#' @description A dataset containing geographic coordinates of the Giant Cuban
#' Toad.
#'
#' @format A data frame with 73 rows and 3 columns.
#' \describe{
#'   \item{name}{character, species scientific name.}
#'   \item{longitude}{numeric, longitude values.}
#'   \item{latitude}{numeric, latitude values.}
#' }
#' @source \url{https://www.gbif.org/}
#'
#' @examples
#' data("occ_f", package = "rangemap")
#' head(occ_f)
"occ_f"

#' Occurrence records for the species Amblyomma americanum
#'
#' @description A dataset containing geographic coordinates of a North American
#' tick.
#'
#' @format A data frame with 89 rows and 3 columns.
#' \describe{
#'   \item{Species}{character, species scientific name.}
#'   \item{Longitude}{numeric, longitude values.}
#'   \item{Latitude}{numeric, latitude values.}
#' }
#' @source \url{https://www.gbif.org/}
#'
#' @examples
#' data("occ_train", package = "rangemap")
#' head(occ_train)
"occ_train"
